umbrello: tools/shared.cpp File Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
shared.cpp File Reference
`#include "shared.h"`
`#include <iostream>`
`#include <QFile>`
`#include <QStringList>`
`#include <QTextStream>`
`#include <QXmlStreamReader>`
`#include <QtDebug>`

## Functions
QDebug | operator<< (QDebug out, const QXmlStreamAttribute &a)
QStringList | XMILanguagesAttributes ()
bool | extractAttributesFromXMI (const char *fileName, const QStringList &attributes, POMap &result)
QString | fromGetTextString (QString s)
QString | toXMLCharacterEntities (QString s)
QString | escape (QString s)
QString | toGetTextString (const QString &message)
bool | fetchPoFile (const QString &fileName, TranslationMap &map)
bool | applyTranslationToXMIFile (const char *fileName, const QStringList &attributes, TranslationMap &translations)

## Function Documentation

## ◆ applyTranslationToXMIFile()

bool applyTranslationToXMIFile | ( | const char * | fileName,
|  | const QStringList & | attributes,
|  | TranslationMap & | translations
| ) |  |

## ◆ escape()

QString escape | ( | QString | s | ) |

## ◆ extractAttributesFromXMI()

bool extractAttributesFromXMI | ( | const char * | fileName,
|  | const QStringList & | attributes,
|  | POMap & | result
| ) |  |

Extract language related XML attributes from XMI file

Parameters

  fileName | file to extract attributes from
  attributes | List with attribute names to extract
  result | map with extracted results

Returns
  true successful extraction
  false extraction failure

## ◆ fetchPoFile()

bool fetchPoFile | ( | const QString & | fileName,
|  | TranslationMap & | map
| ) |  |

Fetch Pot file.

Parameters

  fileName | file to parse
  map | returned map with parsed items

Returns
  true parsed successfully
  false parse failure

## ◆ fromGetTextString()

QString fromGetTextString | ( | QString | s | ) |

## ◆ operator<<()

QDebug operator<< | ( | QDebug | out,
|  | const QXmlStreamAttribute & | a
| ) |  |

## ◆ toGetTextString()

QString toGetTextString | ( | const QString & | message | ) |

## ◆ toXMLCharacterEntities()

QString toXMLCharacterEntities | ( | QString | s | ) |

## ◆ XMILanguagesAttributes()

QStringList XMILanguagesAttributes | ( |  | ) |

Return list of xmi file attributes containing language information.

Returns
  list of xmi element attributes